    cls-button {
      padding: 0.5rem 1rem;
      font-size: 1rem;
      color: white;
      background-color: #007bff;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }
    .modal {
      position: fixed;
      left: 0;
      width: 100%;
      height: 100%;
      background: rgba(0, 0, 0, 0.5);
      display: flex;
      align-items: center;
      justify-content: center;
      z-index: 1000;
      opacity: 0;
      visibility: hidden;
      transition: opacity 0.3s ease, visibility 0.3s ease;
    }

    .modal.show {
      opacity: 1;
      visibility: visible;
    }

    .modal-content {
      background: white;
      border-radius: 10px;
      max-width: 10rem;
      width: 100%;
      overflow: hidden;
      box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
      animation: scaleUp 0.3s ease;
    }

    @keyframes scaleUp {
      from {
        transform: scale(0.8);
      }
      to {
        transform: scale(1);
      }
    }
    .modal-footer {
      padding: 0.3rem;
      text-align: center;
      background: #f2f2f2;
    }
    .modal-footer button {
      background: #ea4c89;
      color: white;
      border-radius: 10px;
      width: 3rem;
      padding: 10px;
    }
    .card {
      display: flex;
      flex-direction: column;
      background-color: #fff;
      border-radius: 10px;
      overflow: hidden;
    }

    .card-img {
      padding-bottom: 56.25%;
      position: relative;
    }

    .card-img img {
      position: absolute;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }

    .card-body {
      padding: 0.3rem;
    }

    .card-title {
      font-size: 0.5rem;
      font-weight: 700;
      margin: 0;
    }

    .card-intro {
      margin-top: 0.5rem;
      line-height: 1.5;
      color: blueviolet;

    }
	
	
	.skeleton {
	  background-color: #e2e5e7;
	  background-image: linear-gradient(
		90deg,
		rgba(255, 255, 255, 0),
		rgba(255, 255, 255, 0.5),
		rgba(255, 255, 255, 0)
	  );
	  background-size: 40px 100%;
	  background-repeat: no-repeat;
	  background-position: left -40px top 0;
	  animation: shine 1s ease infinite;
	}

	@keyframes shine {
	  to {
		background-position: right -40px top 0;
	  }
	}

		.img-box {
		    background-color: aliceblue;
			border-bottom: 2px solid silver;		    
		}
		.img-box > .img-container {
		    width: 100%;
		    height: 100%;
		    left: 0;
		    display: -webkit-box;
		    display: -ms-flexbox;
		    display: -webkit-flex;
		    display: flex;
		    align-items: center;
			margin-right: .2667rem;
		
		}
		.img-box > .img-container .pay {
		    margin: 0.15rem;
		    position: relative;
		}
		.img-box > .img-container .pay img {
			
		    display: block;
			width:200px;
			height:200px;
		}
		.img-box > .img-container .other {
		    color: #fff;
		}
		
        .tb-container {
            margin: 0.2rem;
			margin-top: 20px;
			margin-right: .427rem;
            height: 5rem;
            overflow: hidden;
            display: flex;
			justify-content: flex-start;
            width: 380px;
			flex-wrap: wrap;
        }
        
        .tb-wrapper {
            position: relative;
            width: 60px;
            height: 60px;
			width: 23%;
        }
        
        .tb {
            width: 100%;
            height: 100%;
            background-size: cover;
            background-position: center;
        }	
        
        .skeleton-overlay {
          position: absolute;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          background-image: linear-gradient(
            90deg,
            rgba(255, 255, 255, 0),
            rgba(255, 255, 255, 0.5),
            rgba(255, 255, 255, 0)
          );
          background-size: 40px 100%;
          background-repeat: no-repeat;
          background-position: left -40px top 0;
          animation: shine 1s ease infinite;
          pointer-events: none;
        }
        .top-container{
            height: 1.55rem;
            display: flex;
            align-items: center;
            padding-left: 0.38rem;        
            background-color: #fff;
            overflow: hidden;
            margin-bottom: -1px;
            border: none;
            box-shadow: none;
        }
        
        .card-body img{
            border-radius: 50%;
            width: 41px;
            height: 41px;
        }